using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

namespace UTableView
{
    //禁止单独使用，子类必须也要继承MonoBehaviour
    public interface UTableItem
    {
        public GameObject GetGameObject();
        public Vector2 getSize(int idx,UTableData data);
        public void resetSize(int idx,UTableData data);
        public void initData(int idx,UTableData data);
        public void updateData(int idx,UTableData data);
    }

}
